globus_i_ftp_client_data_target_t(3)

NAME
globus_i_ftp_client_data_target_t - Data connection caching information.

SYNOPSIS

#include <globus_i_ftp_client.h>

  Data Fields

struct globus_i_ftp_client_target_s * source
struct globus_i_ftp_client_target_s * dest
globus_i_ftp_client_operation_t operation

Detailed Description

Data connection caching information.

Field Documentation

  struct globus_i_ftp_client_target_s* globus_i_ftp_client_data_target_t::dest
A pointer to the source of whatever FTP operation this data channel was last used on.

  globus_i_ftp_client_operation_t globus_i_ftp_client_data_target_t::operation
The type of operation which this data channel was used for.

  struct globus_i_ftp_client_target_s* globus_i_ftp_client_data_target_t::source
A pointer to the source of whatever FTP operation this data channel was last used on.

Author

Generated automatically by Doxygen for globus_ftp_client from the source code.